%global date 20240902
%global commit 67bc17ea79b4ff1b449053e5fcf3375ff6b30690
%global shortcommit %(c=%{commit}; echo ${c:0:7})

# This requires perfetto which isn't packaged yet
# https://bugzilla.redhat.com/show_bug.cgi?id=2255751
%bcond tracing 0

# The tests reliably segfault
%bcond check 0

Name:           chromiumos-platform
Version:        0^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        ChromiumOS Platform

License:        BSD-3-Clause
URL:            https://chromium.googlesource.com/chromiumos/platform2
Source:         %{url}/+archive/%{commit}.tar.gz

BuildRequires:  cmake
BuildRequires:  meson
BuildRequires:  gcc-c++
BuildRequires:  protobuf-compiler
BuildRequires:  python3
BuildRequires:  python3dist(jinja2)

%if %{with check}
BuildRequires:  gmock-devel
BuildRequires:  gtest-devel
%endif
BuildRequires:  libdrm-devel
BuildRequires:  libevdev-devel
BuildRequires:  libxcb-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  mesa-libgbm-devel
BuildRequires:  pixman-devel
BuildRequires:  protobuf-devel
BuildRequires:  wayland-devel

%description
This package provides the ChromiumOS platform, which includes daemons,
programs, and libraries that were written specifically for ChromiumOS.

%package -n     sommelier
Summary:        Nested Wayland compositor with support for X11 forwarding

%description -n sommelier
Sommelier is an implementation of a Wayland compositor that delegates
compositing to a "host" compositor. Sommelier includes a set of features that
allows it to run inside a tight jail or virtual machine.

Sommelier can run as service or as a wrapper around the execution of a program.
As a service, called the parent sommelier, it spawns new processes as needed to
service clients.

%prep
%autosetup -c

%build
pushd vm_tools/sommelier
%meson \
  -Dgamepad=true \
  -Dquirks=true \
%if %{with tracing}
  -Dtracing=true \
%endif
%if %{without check}
  -Dwith_tests=false \
%endif
  %{nil}
%meson_build

%install
pushd vm_tools/sommelier
%meson_install

%if %{with check}
%check
pushd vm_tools/sommelier
%meson_test
%endif

%files -n sommelier
%license LICENSE
%doc vm_tools/sommelier/README.md
%{_bindir}/sommelier

%changelog
%autochangelog
